@import url('https://fonts.googleapis.com/css?family=Poppins:200,300,400,500,600,700,800,900&display=swap');
*
{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins' , sans-serif;
}

body
{
	box-sizing: border-box;
    background-image:linear-gradient(rgba(0,0,0,.3),rgba(0,0,0,.3));

    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    background: url(bg.jpg);
    background-repeat: no-repeat;
    background-size: cover;
}
.search
{
    position: absolute;
    top: 10px;
    width: 60px;
    height: 60px;
    background: white;
    border-radius: 60px;
    transition: 0.7s;
    box-shadow: 0 0 0 5px darkgrey;
    overflow: hidden;
}
.search.active
{
    width: 360px;
}
.search .icon
{
    position: absolute;
    top: 0;
    left: 0;
    width: 60px;
    height: 60px;
    background: white;
    border-radius: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    cursor: pointer;
}
.search .icon::before
{
    content: '';
    position: absolute;
    width: 15px;
    height: 15px;
    border: 3px solid red;
    border-radius: 50%;
    transform: translate(-4px , -4px);
}
.search .icon::after
{
    content: '';
    position: absolute;
    width: 3px;
    height: 12px;
    background: brown;
    transform: translate(6px , 6px) rotate(315deg);
}
.search .input
{
    position: relative;
    width: 100%;
    height: 60px;
    left: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.search .input input
{
    position: absolute;
    top: 0;
    width: 100%;
    height: 100%;
    border: none;
    outline: none;
    font-size: 18px;
    padding: 10px 0;
}
.clear
{
    position: absolute;
    top: 50px;
    transform: translateY(-180%);
    width: 15px;
    height: 15px;
    right: 15px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}
.clear::before
{
    position: absolute;
    content: '';
    width: 1px;
    height: 15px;
    background: #999;
    transform: rotate(45deg);
}
.clear::after
{
    position: absolute;
    content: '';
    width: 1px;
    height: 15px;
    background: #999;
    transform: rotate(315deg);
}
.submit
{
    display: none;
}
.container {
    top: 100px;
    position: relative;
  }

  /* Bottom right text */
  .text-block {
    position: absolute;
    bottom: 20px;
    right: 20px;
    background-color: black;
    color: white;
    padding-left: 20px;
    padding-right: 20px;
  }

